commit:     c58fc2f6793326028730798ab6b42d828430fa4d
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 16 14:45:53 2017 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Sep 16 15:04:22 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c58fc2f6

dev-python/flask-restful: Bump

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-python/flask-restful/Manifest                  |  1 +
 .../flask-restful/flask-restful-0.3.6.ebuild       | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/flask-restful/Manifest 
b/dev-python/flask-restful/Manifest
index 41d7289312a..aeac1e71286 100644
--- a/dev-python/flask-restful/Manifest
+++ b/dev-python/flask-restful/Manifest
@@ -1 +1,2 @@
 DIST flask-restful-0.3.5.tar.gz 113214 SHA256 
30f3433c32d3251b83779034513994df93635db81bf5cd5122a4e0415dd3f5c1 SHA512 
a541e6739644b4db6ae97cf529bfc43f3136c97fc19a8538277d1f9be033b7c6dc3e39e1c4b2f313e099efbe750dbdc85c67b527224df557567ecac668e5969a
 WHIRLPOOL 
d8d0673380263c25e84ed3e86a83b04bae88761c8f3456dcab7d6d58b9884b1b984c28c861bc091c9693b080c15f2f47f99ff6a3003a7f89dd50df851a7d3af5
+DIST flask-restful-0.3.6.tar.gz 114512 SHA256 
1b04bf8246fffc92a33a402213cea5a50b4c586d8a515f53ccc94612df32c365 SHA512 
c5136302111e6c8953e038d31b42b029744111bb916dea7ec8bd5fac2de5e17a86d30a7d04a7335cdc5da25ee13f35ad9a6d284166e11cca0c6fec96d23fd977
 WHIRLPOOL 
1e581d19c833d7b27ed8a1d1e4a73cd478f04900f2d4135217c60061189d8c336fc3c548cc4e89579eb063f2e444347bad98d755fb3895c522c01b50880c74f4

diff --git a/dev-python/flask-restful/flask-restful-0.3.6.ebuild 
b/dev-python/flask-restful/flask-restful-0.3.6.ebuild
new file mode 100644
index 00000000000..a55d4e3709b
--- /dev/null
+++ b/dev-python/flask-restful/flask-restful-0.3.6.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple framework for creating REST APIs"
+HOMEPAGE="http://flask-restful.readthedocs.org/ 
https://github.com/twilio/flask-restful/";
+SRC_URI="https://github.com/twilio/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples paging test"
+
+RDEPEND="
+       >=dev-python/aniso8601-0.82[${PYTHON_USEDEP}]
+       >=dev-python/flask-0.8[${PYTHON_USEDEP}]
+       >=dev-python/six-1.3.0[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       paging? ( >=dev-python/pycrypto-2.6[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       dev-python/sphinx[${PYTHON_USEDEP}]
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/pycrypto[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       nosetests -v || die "Tests fail with ${EPYTHON}"
+}
+
+python_compile_all() {
+       cd docs || die
+       emake man $(usex doc html "")
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       use examples && dodoc -r examples
+       local DOCS=( AUTHORS.md CHANGES.md CONTRIBUTING.md README.md )
+
+       doman docs/_build/man/*
+       distutils-r1_python_install_all
+}

Reply via email to